package org.fictus

trait Behavior {
    def handle: Any
}
case class Returns(returnValue: Any) extends Behavior {
    override def handle = returnValue
    override val toString = " --> " + returnValue
}
case class Throws(e: Exception) extends Behavior {
    override def handle = throw new ExceptionWrapper(e)
    override val toString = " --> " + e.getClass.getSimpleName // + "(" + e.getMessage + ")"
}
case class AnyTimes(behavior: Behavior) extends Behavior {
    override def handle = behavior.handle
    override val toString = " --> anyTimes"
}
case class Nop() extends Behavior {
    override def handle = ()
    override val toString = ""
}